Subject: [mile] [Technical Errata Reported] RFC7970 (5544)

From: RFC Errata System <[email-masked]>
Date: Sat, 3 Nov 2018 19:56:32 -0700 (PDT)

The following errata report has been submitted for RFC7970,
"The Incident Object Description Exchange Format Version 2".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5544

--------------------------------------
Type: Technical
Reported by: Takeshi Takahashi <[email-masked]>

Section: 8

Original Text
-------------
 <xs:element name="Node">
      <xs:complexType>
        <xs:sequence>
          <xs:choice maxOccurs="unbounded">
            <xs:element ref="iodef:DomainData"
                        minOccurs="0" maxOccurs="unbounded"/>
            <xs:element ref="iodef:Address"
                        minOccurs="0" maxOccurs="unbounded"/>
          </xs:choice>
          <xs:element ref="iodef:PostalAddress" minOccurs="0"/>
          <xs:element ref="iodef:Location"
                      minOccurs="0" maxOccurs="unbounded"/>
          <xs:element ref="iodef:Counter"
                      minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
      </xs:complexType>
    </xs:element>

Corrected Text
--------------
 <xs:element name="Node">
      <xs:complexType>
        <xs:sequence>
          <xs:choice maxOccurs="unbounded">
            <xs:element ref="iodef:DomainData"
                        maxOccurs="unbounded"/>
            <xs:element ref="iodef:Address"
                        maxOccurs="unbounded"/>
          </xs:choice>
          <xs:element ref="iodef:PostalAddress" minOccurs="0"/>
          <xs:element ref="iodef:Location"
                      minOccurs="0" maxOccurs="unbounded"/>
          <xs:element ref="iodef:Counter"
                      minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
      </xs:complexType>
    </xs:element>

Notes
-----
Section 3.18 says as follows:

"DomainData
      Zero or more.  The domain (DNS) information associated with this
      node.  If an Address is not provided, at least one DomainData MUST
      be specified.  See Section 3.19.

   Address
      Zero or more.  The hardware, network, or application address of
      the node.  If a DomainData is not provided, at least one Address
      MUST be specified.  See Section 3.18.1."

To comply with the above definition, "minOccurs" attribute for both DomainData and Address elements need to be removed. (Current schema allows to omit both of the elements, but the RFC says that at least one of them need to be presented.)

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7970 (draft-ietf-mile-rfc5070-bis-26)
--------------------------------------
Title               : The Incident Object Description Exchange Format Version 2
Publication Date    : November 2016
Author(s)           : R. Danyliw
Category            : PROPOSED STANDARD
Source              : Managed Incident Lightweight Exchange
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Roman Danyliw <[email-masked]>
Date: Mon, 5 Nov 2018 09:57:23 +0000

Hello!

This errata and the proposed text are correct.

Take: thank you for finding this issue.

Roman
________________________________________
From: RFC Errata System [[email-masked]]
Sent: Saturday, November 03, 2018 10:56 PM
To: Roman Danyliw; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Technical Errata Reported] RFC7970 (5544)

Section: 8

Original Text
-------------
 <xs:element name="Node">
      <xs:complexType>
        <xs:sequence>

Corrected Text
--------------
 <xs:element name="Node">
      <xs:complexType>
        <xs:sequence>

Notes
-----

"DomainData

   Address

Instructions:
-------------